Page MenuHomePhabricator

Issues dragging and dropping text on diff pages on Chrome
Closed, ResolvedPublic2 Estimated Story PointsBUG REPORT

Description

What is the problem?

If I select text on one side of a diff and try to drag and drop it, sometimes it also selects text from the other side of the diff.

In the below example, you can see that I am trying to drag just the text on the right, but it picks up some of the text on the left (i.e. the text that says "Line 2"):

As per T285793, we wanted to make it easier for users to be able to copy text from only one side of a diff.

I cannot reproduce this bug on https://test.wikipedia.org.

Steps to reproduce problem
  1. Open a diff page (e.g. https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Conflict-title-0.157468879653623-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n&type=revision&diff=503892&oldid=503891)
  2. Select only the text on the right
  3. Try to click and drag that text

Expected behavior: Just the text you selected in step 2 is dragged.
Observed behavior: Part of the text on the left will become selected.

Environment

Browser: Chromium 87 and Chrome 94
Wiki(s): https://en.wikipedia.beta.wmflabs.org MediaWiki 1.38.0-alpha (c922d87) 06:46, 30 September 2021.

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptSep 30 2021, 3:25 PM

Change 725336 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[mediawiki/core@master] Improve side-locking logic for diffs

https://gerrit.wikimedia.org/r/725336

Change 725336 merged by jenkins-bot:

[mediawiki/core@master] Improve side-locking logic for diffs

https://gerrit.wikimedia.org/r/725336

For future reference, we've decided not to backport this fix to 1.37, since it doesn't appear to be a serious issue, but it can be backported later on if the necessity arises.

I can no longer reproduce this.

Test environment: https://en.wikipedia.beta.wmflabs.org MediaWiki 1.38.0-alpha (ad94e00) 06:01, 22 October 2021.
Browser: Chromium 87

Daimona set the point value for this task to 2.Nov 3 2021, 2:57 PM